-- ==========================================
-- 작업일자: 2026-07-09 
-- 작 성 자: 류호성
-- 작업목적: [한라산업 ERP 전자입찰에서 이미 낙찰은 되었으나 해당 발주의뢰서정보가 변경될 수 있는 상태로 변경하기 위함이다.]
-- 요청자/티켓번호: [이인서부장 / 요청번호 : 5998번]
-- 데이타베이스 : MS-SQL
-- 참고 : 구매담당자를 해제할 수 있는 상태까지만 변경하고 이후 진행은 구매담당자가 직접 발주의뢰서를 삭제하거나 변경해도록 안내함. 
--       전자입찰정보의 발주의뢰서정보가 ERP의 발주의뢰서 정보와 일치하지 않을 수 있음을 담당자에게 전파함.
-- ==========================================

-- [0] 전자입찰 마스터에서 POR 번호로 상태 파악하기
SELECT * FROM HPOIMS.[dbo].[EP_BID_MASTER] WHERE POR_NO = 'P2604014'

-- [1] 전자입찰 상세에서 입찰번호로 상태 파악하기
SELECT * FROM HPOIMS.[dbo].[EP_BID_DETA] WHERE BID_NO = 'BID2041260514013'

-- [2] 발주의뢰서 마스터와 상세 상태 파악한 후 입찰 상태 변경하기 
-- 발주의뢰서 마스터정보
SELECT * FROM HPOIMS.dbo.gm_por WHERE por_no = 'P2604014'
/*
-- 발주의뢰서 마스터정보의 입찰상태를 'N'으로 변경하여 구매담당자가 발주의뢰서를 변경할 수 있는 상태로 변경함.
UPDATE 
	HPOIMS.dbo.gm_por 
SET
	bid_flag = 'N'
WHERE 
	por_no = 'P2604014'
*/
-- 발주의뢰서 상세정보
SELECT * FROM HPOIMS.dbo.gm_por_detail WHERE por_no = 'P2604014'
/*
-- 발주의뢰서 상세의 계약상태를 'N'으로 변경하여 구매담당자가 발주의뢰서를 변경할 수 있는 상태로 변경함.
UPDATE 
	HPOIMS.dbo.gm_por_detail 
SET
	icplan_yn = 'N'
WHERE 
	por_no = 'P2604014'
*/
